﻿@model IEnumerable<Project_Prn211_4.Models.Order>
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@{
    ViewData["Title"] = "Purchased Products";
}

<style>
    .order-container {
        border: 1px solid #ccc;
        padding: 10px;
        margin-bottom: 20px;
    }

        .order-container h2 {
            font-size: 20px;
            margin-bottom: 10px;
        }

    .order-details {
        margin-top: 10px;
    }

    .order-info {
        font-size: 14px;
    }

        .order-info strong {
            font-weight: bold;
        }

    .btn-home {
        display: inline-block;
        padding: 10px 20px;
        background-color: #007bff;
        color: #fff;
        text-decoration: none;
        border-radius: 5px;
        transition: background-color 0.3s;
    }

        .btn-home:hover {
            background-color: #0056b3;
        }
</style>

<h1>Purchased Products</h1>
<a asp-controller="Home" asp-action="Index" class="btn-home">Home</a>

@if (Model != null && Model.Any())
{
    @foreach (var order in Model)
    {
        <div class="order-container">
            <h2>Order ID: @order.OrderId</h2>
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>Product</th>
                        <th>Quantity</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var orderDetail in order.OrderDetails)
                    {
                        <tr>
                            <td>@Html.DisplayFor(modelItem => orderDetail.Product.ProductName)</td>
                            <td>@orderDetail.Quantity</td>
                        </tr>
                    }
                </tbody>
            </table>
            <div class="order-details">
                <div class="order-info">
                    <strong>Order Date:</strong> @order.OrderDate<br />
                    <strong>Address:</strong> @order.Address<br />
                    <strong>Payment Method:</strong> @order.PaymentMethod <br />
                    <strong>Total amount: </strong> $@order.TotalAmount
                </div>
            </div>
        </div>
        <hr />
    }
}
else
{
    <h2 style="display: flex;justify-content:center;">You have not made any purchases yet!</h2>
}
